Bug 5256 - Избыточные зависимости
: Избыточные зависимости
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/amarok)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-28 03:23 by
Modified: 2005-09-04 22:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-28 03:23:20
Пакет требует для работы ВСЕ gstreamer-plugins.

$ rpm -qRp amarok-1.0.2-alt2.i586.rpm |grep gstreamer
gstreamer
gstreamer-plugins-ALL
libgstreamer-0.8.so.1
------- Comment #1 From 2004-09-28 20:40:48 -------
FIXED in 1.1
------- Comment #2 From 2004-10-06 18:43:41 -------
(In reply to comment #1)
> FIXED in 1.1

$ rpm -qRp amarok-1.1-alt1.i586.rpm |grep gstr
gstreamer
gstreamer-alsa
gstreamer-esd
gstreamer-artsd
gstreamer-oss
gstreamer-jack

Этого явно не достаточно.

И заодно в спеке надо исправить.

--- amarok.spec 2004-10-04 15:13:35 +0400
+++ amarok.spec.fixed   2004-10-06 18:41:50 +0400
@@ -58,13 +58,15 @@
     ln -sf ../../../$f $newpath
 done
  
+%find_lang --with-kde %name
+
 %post
 %update_menus
  
 %postun
 %clean_menus
  
-%files
+%files -f %name.lang
 %doc AUTHORS ChangeLog README
 %_bindir/%name
 %_bindir/amarok_xmmswrapper2
@@ -81,28 +83,8 @@
 %_datadir/services/amarok_xine-engine.desktop
 %_datadir/services/amarok_xineengine_plugin.desktop
 %_datadir/servicetypes/amarok_plugin.desktop
-%doc %_docdir/HTML/*/%name
-%_docdir/HTML/da/common
-%_docdir/HTML/et/common
-%_docdir/HTML/fr/common
-%_docdir/HTML/it/common
-%_docdir/HTML/pt/common
-%_docdir/HTML/sv/common
-%_docdir/HTML/sv/*.png
-%_docdir/HTML/*/plugin.docbook
-%_docdir/HTML/*/requirements.docbook
-%_docdir/HTML/*/using.docbook
-%_docdir/HTML/*/hidden.docbook
-%_docdir/HTML/*/howto.docbook
-%_docdir/HTML/*/config.docbook
-%_docdir/HTML/*/develop.docbook
-%_docdir/HTML/*/faq.docbook
-%_docdir/HTML/*/index.cache.bz2
-%_docdir/HTML/*/index.docbook
-%_docdir/HTML/*/advanced.docbook
 %_iconsdir/*/*/apps/%name.png
 %_iconsdir/crystalsvg/*/actions/player_playlist_2.png
-%_datadir/locale/*/LC_MESSAGES/%name.mo
 %_libdir/kde3/libamarok_gstengine_plugin.la
 %_libdir/kde3/libamarok_gstengine_plugin.so
 %_libdir/kde3/libamarok_void-engine_plugin.la

------- Comment #3 From 2004-10-18 13:55:38 -------
fixed in 1.1.1-alt1
------- Comment #4 From 2005-01-31 20:53:39 -------
fixed in 1.2.0-alt1beta3